@ignore
Feature: Markers scenarios (e.g. used for Fuzzy Matching)

  @getDateMarkers
  Scenario: Date Markers
    * def timestamp =
  """
  function(d) {
    // Validate ISO 8601 date time syntax
    if (d.match(
      /^(-?(?:[1-9][0-9]*)?[0-9]{4})-(1[0-2]|0[1-9])-(3[01]|0[1-9]|[12][0-9])T(2[0-3]|[01][0-9]):([0-5][0-9]):([0-5][0-9])(.[0-9]+)?(Z)?$/
    )) {
      return true;
    }
    return false;
  }
  """