function fn() {
  var env = karate.env; // get system property 'karate.env'
  karate.log('karate.env system property was:', env);
  if (!env) {
    env = 'dev';
  }
  var config = {
    env: env,
    myVarName: 'someValue'
  }
  if (env == 'dev') {
    // customize
    // e.g. config.foo = 'bar';
  } else if (env == 'e2e') {
    // customize
  }

  // Read marker scenarios and merge them into config to make them globally available
  var dateMarkers = karate.callSingle('classpath:examples/helpers/markers.feature@getDateMarkers');
  config = karate.merge(config, dateMarkers);

  return config;
}